Skip to content

Create Webhook Config

client.WebhookConfigs.New(ctx, params) (*WebhookConfigResponse, error)
POST/api/v1/beta/webhook-configs

Create a reusable webhook configuration for the current project.

ParametersExpand Collapse
params WebhookConfigNewParams
WebhookConfigCreate param.Field[WebhookConfigCreate]

Body param: Request to create a stored webhook configuration.

The owning tenant is taken from the request context (e.g. the project in the path), not the body.

OrganizationID param.Field[string]Optional

Query param

formatuuid
ProjectID param.Field[string]Optional

Query param

formatuuid
ReturnsExpand Collapse
type WebhookConfigResponse struct{…}

A stored webhook configuration. The signing secret is never included.

ID string

Unique identifier for the webhook configuration.

HasSecret bool

Whether a signing secret is configured for this endpoint.

TenantID string

Owner tenant ID.

TenantType Project

Owner tenant type.

WebhookURL string

URL that receives webhook POST notifications.

CreatedAt TimeOptional

Creation datetime

formatdate-time
UpdatedAt TimeOptional

Update datetime

formatdate-time
WebhookEvents []stringOptional

Subscribed events (null = all events).

One of the following:
const WebhookConfigResponseWebhookEventBatchCancelled WebhookConfigResponseWebhookEvent = "batch.cancelled"
const WebhookConfigResponseWebhookEventBatchError WebhookConfigResponseWebhookEvent = "batch.error"
const WebhookConfigResponseWebhookEventBatchPending WebhookConfigResponseWebhookEvent = "batch.pending"
const WebhookConfigResponseWebhookEventBatchRunning WebhookConfigResponseWebhookEvent = "batch.running"
const WebhookConfigResponseWebhookEventBatchSuccess WebhookConfigResponseWebhookEvent = "batch.success"
const WebhookConfigResponseWebhookEventClassifyCancelled WebhookConfigResponseWebhookEvent = "classify.cancelled"
const WebhookConfigResponseWebhookEventClassifyError WebhookConfigResponseWebhookEvent = "classify.error"
const WebhookConfigResponseWebhookEventClassifyPartialSuccess WebhookConfigResponseWebhookEvent = "classify.partial_success"
const WebhookConfigResponseWebhookEventClassifyPending WebhookConfigResponseWebhookEvent = "classify.pending"
const WebhookConfigResponseWebhookEventClassifyRunning WebhookConfigResponseWebhookEvent = "classify.running"
const WebhookConfigResponseWebhookEventClassifySuccess WebhookConfigResponseWebhookEvent = "classify.success"
const WebhookConfigResponseWebhookEventExtractCancelled WebhookConfigResponseWebhookEvent = "extract.cancelled"
const WebhookConfigResponseWebhookEventExtractError WebhookConfigResponseWebhookEvent = "extract.error"
const WebhookConfigResponseWebhookEventExtractPartialSuccess WebhookConfigResponseWebhookEvent = "extract.partial_success"
const WebhookConfigResponseWebhookEventExtractPending WebhookConfigResponseWebhookEvent = "extract.pending"
const WebhookConfigResponseWebhookEventExtractSuccess WebhookConfigResponseWebhookEvent = "extract.success"
const WebhookConfigResponseWebhookEventParseCancelled WebhookConfigResponseWebhookEvent = "parse.cancelled"
const WebhookConfigResponseWebhookEventParseError WebhookConfigResponseWebhookEvent = "parse.error"
const WebhookConfigResponseWebhookEventParsePartialSuccess WebhookConfigResponseWebhookEvent = "parse.partial_success"
const WebhookConfigResponseWebhookEventParsePending WebhookConfigResponseWebhookEvent = "parse.pending"
const WebhookConfigResponseWebhookEventParseRunning WebhookConfigResponseWebhookEvent = "parse.running"
const WebhookConfigResponseWebhookEventParseSuccess WebhookConfigResponseWebhookEvent = "parse.success"
const WebhookConfigResponseWebhookEventSheetsCancelled WebhookConfigResponseWebhookEvent = "sheets.cancelled"
const WebhookConfigResponseWebhookEventSheetsError WebhookConfigResponseWebhookEvent = "sheets.error"
const WebhookConfigResponseWebhookEventSheetsPartialSuccess WebhookConfigResponseWebhookEvent = "sheets.partial_success"
const WebhookConfigResponseWebhookEventSheetsPending WebhookConfigResponseWebhookEvent = "sheets.pending"
const WebhookConfigResponseWebhookEventSheetsSuccess WebhookConfigResponseWebhookEvent = "sheets.success"
const WebhookConfigResponseWebhookEventSplitCancelled WebhookConfigResponseWebhookEvent = "split.cancelled"
const WebhookConfigResponseWebhookEventSplitError WebhookConfigResponseWebhookEvent = "split.error"
const WebhookConfigResponseWebhookEventSplitPending WebhookConfigResponseWebhookEvent = "split.pending"
const WebhookConfigResponseWebhookEventSplitProcessing WebhookConfigResponseWebhookEvent = "split.processing"
const WebhookConfigResponseWebhookEventSplitSuccess WebhookConfigResponseWebhookEvent = "split.success"
const WebhookConfigResponseWebhookEventUnmappedEvent WebhookConfigResponseWebhookEvent = "unmapped_event"
WebhookHeaders map[string, string]Optional

Custom HTTP headers sent with each request.

WebhookOutputFormat WebhookConfigResponseWebhookOutputFormatOptional

Response format sent to the webhook.

One of the following:
const WebhookConfigResponseWebhookOutputFormatJson WebhookConfigResponseWebhookOutputFormat = "json"
const WebhookConfigResponseWebhookOutputFormatString WebhookConfigResponseWebhookOutputFormat = "string"

Create Webhook Config

package main

import (
  "context"
  "fmt"

  "github.com/run-llama/llama-parse-go"
  "github.com/run-llama/llama-parse-go/option"
)

func main() {
  client := llamacloud.NewClient(
    option.WithAPIKey("My API Key"),
  )
  webhookConfigResponse, err := client.WebhookConfigs.New(context.TODO(), llamacloud.WebhookConfigNewParams{
    WebhookConfigCreate: llamacloud.WebhookConfigCreateParam{
      WebhookURL: "https://example.com/webhooks/llamacloud",
    },
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", webhookConfigResponse.ID)
}
{
  "id": "id",
  "has_secret": true,
  "tenant_id": "tenant_id",
  "tenant_type": "project",
  "webhook_url": "webhook_url",
  "created_at": "2019-12-27T18:11:19.117Z",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "webhook_events": [
    "batch.cancelled"
  ],
  "webhook_headers": {
    "foo": "string"
  },
  "webhook_output_format": "json"
}
Returns Examples
{
  "id": "id",
  "has_secret": true,
  "tenant_id": "tenant_id",
  "tenant_type": "project",
  "webhook_url": "webhook_url",
  "created_at": "2019-12-27T18:11:19.117Z",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "webhook_events": [
    "batch.cancelled"
  ],
  "webhook_headers": {
    "foo": "string"
  },
  "webhook_output_format": "json"
}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/